Subject: bug#41422: closed (Re: bug#41422: 27.0.91 and 28.0.50; macOS: lower-frame on child frame lowers parent frame)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Jan 2021 16:29:02 +0000

Your bug report

#41422: 27.0.91 and 28.0.50; macOS: lower-frame on child frame lowers parent frame

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41422: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41422
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41422: 27.0.91 and 28.0.50; macOS: lower-frame on child frame lowers parent frame
From: Alan Third <[email-masked]>
To: Aaron Jensen <[email-masked]>
Cc: [email-masked]
Date: Sun, 3 Jan 2021 16:28:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, May 20, 2020 at 09:02:00AM -0700, Aaron Jensen wrote:
> This reproduces on master with emacs -Q as well as emacs-27.
> 
> emacs -Q
> 
> Make sure Emacs is positioned above another app
> 
> M-: (make-frame `((parent-frame . ,(window-frame))))
> 
> Then, in child frame:
> 
> M-: (lower-frame)
> 
> This causes the parent frame and child frame to lower below the other
> app. I believe, according to the docs, it should do nothing because
> there is only one child frame.

Commit ad2567fb1efced752352096f345c69f88e1ff405 pushed to master,
which should fix this.

I'm sure this worked when I wrote the NS child window code, but I
can't find any indication that the API changed. Anyway, the new code
works as far as I can see.

-- 
Alan Third

Subject: 27.0.91 and 28.0.50; macOS: lower-frame on child frame lowers parent frame
From: Aaron Jensen <[email-masked]>
To: [email-masked]
Date: Wed, 20 May 2020 09:02:00 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This reproduces on master with emacs -Q as well as emacs-27.

emacs -Q

Make sure Emacs is positioned above another app

M-: (make-frame `((parent-frame . ,(window-frame))))

Then, in child frame:

M-: (lower-frame)

This causes the parent frame and child frame to lower below the other
app. I believe, according to the docs, it should do nothing because
there is only one child frame.

Aaron